Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
Lucene::PrefixFilter Class Reference

A Filter that restricts search results to values that have a matching prefix in a given field. More...

`#include <PrefixFilter.h>`

Inheritance diagram for Lucene::PrefixFilter:

## Public Member Functions

| PrefixFilter (const TermPtr &prefix)
virtual | ~PrefixFilter ()
virtual String | getClassName ()
boost::shared_ptr< PrefixFilter > | shared_from_this ()
TermPtr | getPrefix ()
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::MultiTermQueryWrapperFilter
virtual | ~MultiTermQueryWrapperFilter ()
boost::shared_ptr< MultiTermQueryWrapperFilter > | shared_from_this ()
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
int32_t | getTotalNumberOfTerms ()
| Return the number of unique terms visited during execution of the filter. If there are many of them, you may consider using another filter type or optimize your total term count in index. More...
void | clearTotalNumberOfTerms ()
| Resets the counting of unique terms. Do this before executing the filter. More...
virtual DocIdSetPtr | getDocIdSet (const IndexReaderPtr &reader)
| Returns a DocIdSet with documents that should be permitted in search results. More...
Public Member Functions inherited from Lucene::Filter
virtual | ~Filter ()
boost::shared_ptr< Filter > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::MultiTermQueryWrapperFilter
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Filter
static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::MultiTermQueryWrapperFilter
MultiTermQueryPtr | query
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

A Filter that restricts search results to values that have a matching prefix in a given field.

## Constructor & Destructor Documentation

Lucene::PrefixFilter::PrefixFilter | ( | const TermPtr & | prefix | ) |

virtual Lucene::PrefixFilter::~PrefixFilter | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::PrefixFilter::_getClassName | ( |  | ) |

inline static

virtual String Lucene::PrefixFilter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::MultiTermQueryWrapperFilter.

TermPtr Lucene::PrefixFilter::getPrefix | ( |  | ) |

boost::shared_ptr< PrefixFilter > Lucene::PrefixFilter::shared_from_this | ( |  | ) |

inline

virtual String Lucene::PrefixFilter::toString | ( |  | ) |

virtual

Returns a string representation of the object.

Reimplemented from Lucene::MultiTermQueryWrapperFilter.

The documentation for this class was generated from the following file:

- PrefixFilter.h

clucene.sourceforge.net